#pragma once

#include "SvgElement.h"
#include "Point.h"
#include "Color.h"

class SvgTextElement : public SvgElement
{
public:
	SvgTextElement();

	void setLocation(const Point& loc);

	void setContent(const std::string& content);

	void setFill(const Color& fill);

	void setFillOpacity(float opacity);

	void setFontFamily(const std::string& family);

	void setFontSize(float size);
};